Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDMAARESPONSETYPEvalues

    java.lang.Object
      java.lang.Enum<CDMAARESPONSETYPEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDMAARESPONSETYPEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDMAARESPONSETYPEvalues>

    public enum CDMAARESPONSETYPEvalues

extends Enum<CDMAARESPONSETYPEvalues>

Java class for CD-MAA-RESPONSETYPEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-MAA-RESPONSETYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="agreement"/>
         <enumeration value="refusal"/>
         <enumeration value="intreatment"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AGREEMENT`
`INTREATMENT`
`REFUSAL`

Method Summary
`static CDMAARESPONSETYPEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDMAARESPONSETYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDMAARESPONSETYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AGREEMENT

    public static final CDMAARESPONSETYPEvalues AGREEMENT

### REFUSAL

    public static final CDMAARESPONSETYPEvalues REFUSAL

### INTREATMENT

    public static final CDMAARESPONSETYPEvalues INTREATMENT

Method Detail

### values

    public static CDMAARESPONSETYPEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDMAARESPONSETYPEvalues c : CDMAARESPONSETYPEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDMAARESPONSETYPEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDMAARESPONSETYPEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.